from Globals import InitializeClass
from Products.DataGridField.Column import Column
from AccessControl import ClassSecurityInfo

class FixedWidthColumn(Column):
    """ 
    This column type was made for forcing a width.

    It is not to be confused with DataGridField's FixedColumn functionality.
    """
    
    security = ClassSecurityInfo()

    security.declarePublic('getMacro')
    def getMacro(self):
        """ Return macro used to render this column in view/edit """
        return "datagrid_fixed_width_cell"

InitializeClass(FixedWidthColumn)
