from Globals import InitializeClass
from Products.DataGridField.RadioColumn import RadioColumn
from AccessControl import ClassSecurityInfo

class LabellessRadioColumn(RadioColumn):
    """ For definition of a custom view macro. """

    security = ClassSecurityInfo()

    security.declarePublic('getMacro')
    def getMacro(self):
        """ Return macro used to render this column in view/edit """
        return "datagrid_labelless_radio_cell"

InitializeClass(LabellessRadioColumn)
