from Products.Archetypes.public import process_types, listTypes
from Products.CMFCore import utils as cmfutils
from Products.CMFCore import DirectoryView

from Products.StudyGuide.ItemsColumn import ItemsColumn
from Products.StudyGuide.LabellessRadioColumn import LabellessRadioColumn
from Products.StudyGuide.FixedWidthColumn import FixedWidthColumn

from config import SKINS_DIR, GLOBALS, PROJECTNAME
from config import ADD_CONTENT_PERMISSION

from Products.validation import validation

DirectoryView.registerDirectory('skins', GLOBALS)
DirectoryView.registerDirectory('skins/StudyGuide', GLOBALS)

def initialize(context):
    ##Import Types here to register them
    import StudyGuide

    content_types, constructors, ftis = process_types(listTypes(PROJECTNAME), PROJECTNAME)

    cmfutils.ContentInit(
        PROJECTNAME + ' Content',
        content_types      = content_types,
        permission         = ADD_CONTENT_PERMISSION,
        extra_constructors = constructors,
        fti                = ftis,
        ).initialize(context)

